BigTableScanner.EmptySSTableScanner (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.format.big

## Class BigTableScanner.EmptySSTableScanner

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.big.BigTableScanner.EmptySSTableScanner

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtomIterator>, ISSTableScanner, CloseableIterator<OnDiskAtomIterator>
  Enclosing class:
    BigTableScanner

      public static class BigTableScanner.EmptySSTableScanner
      extends java.lang.Object
      implements ISSTableScanner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptySSTableScanner(java.lang.String filename)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `getBackingFiles()`
    `long` | `getCurrentPosition()`
    `long` | `getLengthInBytes()`
    `boolean` | `hasNext()`
    `OnDiskAtomIterator` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### EmptySSTableScanner

          public EmptySSTableScanner(java.lang.String filename)

  - ### Method Detail

    - #### getLengthInBytes

          public long getLengthInBytes()

      Specified by:
        `getLengthInBytes` in interface `ISSTableScanner`

    - #### getCurrentPosition

          public long getCurrentPosition()

      Specified by:
        `getCurrentPosition` in interface `ISSTableScanner`

    - #### getBackingFiles

          public java.lang.String getBackingFiles()

      Specified by:
        `getBackingFiles` in interface `ISSTableScanner`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### next

          public OnDiskAtomIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<OnDiskAtomIterator>`

Copyright © 2018 The Apache Software Foundation